<ion-header>
  <ion-toolbar> </ion-toolbar>
</ion-header>

<ion-content>
  <ion-refresher slot="fixed" (ionRefresh)="getTransactions($event)">
    <ion-refresher-content
      pullingIcon="chevron-down-circle-outline"
      pullingText="Pull to refresh"
      refreshingSpinner="bubbles"
      refreshingText="Loading..."
    >
    </ion-refresher-content>
  </ion-refresher>
  <ion-list>
    <ion-item
      lines="full"
      button
      *ngFor="let transaction of transactions"
      (click)="handleButtonClick(transaction)"
    >
      <ion-label>
        <h6 class="ion-text-wrap" style="margin-bottom: 0.5rem;">{{ transaction.item }}</h6>
        <h3>
          {{ transaction.pricing }}
          <ion-text color="danger">{{ transaction.total }}</ion-text>
        </h3>
      </ion-label>
    </ion-item>
  </ion-list>
  <ion-fab horizontal="end" vertical="bottom" slot="fixed">
    <ion-fab-button size="small" color="success" routerLink="post">
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
